Skip to main content
GET
/
v1
/
retrievers
/
benchmarks
List benchmarks
curl --request GET \
  --url https://api.mixpeek.com/v1/retrievers/benchmarks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/retrievers/benchmarks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/retrievers/benchmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "benchmarks": [
    {
      "benchmark_id": "<string>",
      "benchmark_name": "<string>",
      "baseline_retriever_id": "<string>",
      "candidate_retriever_ids": [
        "<string>"
      ],
      "session_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "session_filter": {
        "retriever_ids": [
          "<string>"
        ],
        "taxonomy_node_ids": [
          "<string>"
        ],
        "time_range": {
          "start": "2023-11-07T05:31:56Z",
          "end": "2023-11-07T05:31:56Z"
        },
        "min_interactions": 1,
        "interaction_types": [
          "<string>"
        ],
        "sample_strategy": "random",
        "interaction_weights": {
          "weights": {}
        }
      },
      "results": [
        {
          "retriever_id": "<string>",
          "retriever_name": "<string>",
          "pipeline_hash": "<string>",
          "metrics": {
            "ndcg_at_k": {},
            "mean_rank_clicked": 123,
            "recall_at_k": {},
            "avg_position_delta": 123,
            "items_promoted": 1,
            "items_demoted": 1,
            "sessions_improved": 1,
            "sessions_degraded": 1,
            "sessions_neutral": 1,
            "mean_rank_purchased": 123
          },
          "latency": {
            "p50_ms": 1,
            "p90_ms": 1,
            "p99_ms": 1,
            "mean_ms": 1,
            "stage_latencies": {}
          },
          "failed_sessions": 1,
          "taxonomy_deltas": {},
          "error_summary": {}
        }
      ],
      "comparison": {
        "baseline_retriever_id": "<string>",
        "comparisons": [
          {
            "candidate_retriever_id": "<string>",
            "ndcg_delta": {},
            "recall_delta": {},
            "latency_delta_ms": 123,
            "p_value": 123,
            "confidence_interval": {
              "[0]": 123,
              "[1]": 123
            },
            "taxonomy_wins": [
              "<string>"
            ],
            "taxonomy_losses": [
              "<string>"
            ]
          }
        ],
        "recommendation": "<string>"
      },
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "error_message": "<string>"
    }
  ],
  "total": 123,
  "page": 1,
  "page_size": 20
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

retriever_id
string | null

Filter to benchmarks involving this retriever (as baseline or candidate)

status
string | null

Filter by status (pending, building_sessions, replaying, completed, failed)

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:20

Items per page

Required range: 1 <= x <= 1000

Response

Successful Response

Response for listing benchmarks.

benchmarks
BenchmarkResponse · object[]
required

List of benchmarks.

total
integer
required

Total count matching filter.

page
integer
default:1

Current page.

page_size
integer
default:20

Items per page.